""" Portalcontent Versioning System (PVS).
"""

from AccessControl import ModuleSecurityInfo, allow_module
from Products.CMFCore.DirectoryView import registerDirectory
from Acquisition import aq_base, aq_inner, aq_parent
import PVSPermissions

from Products.CMFCore.CMFCorePermissions import View

registerDirectory('skins', globals())
registerDirectory('skins/PVS', globals())

install_globals = globals()

import PVSTool
import Patches

import PVSWorkflow
import PVSFolderWorkflow


#import config

# allow import from config
#allow_module('Products.PVSForPlone2.config')
#ModuleSecurityInfo('Products.PVSForPlone2.config').declareProtected(View, 'DELETE_OLD_PUBLISHED_VERSION')
#ModuleSecurityInfo('Products.PVSForPlone2.config').declareProtected(View, 'DELETE_OLD_PUBLISHED_VERSION_AUTO')
#ModuleSecurityInfo('Products.PVSForPlone2.config').declareProtected(View, 'DELETE_OLD_PUBLISHED_VERSION_PROMPT')
#ModuleSecurityInfo('Products.PVSForPlone2.config').declareProtected(View, 'NO_DELETE_OLD_PUBLISHED_VERSION')

def initialize(context):

    context.registerClass(
        PVSTool.PVSTool,
        icon='icon/tool.gif',
        constructors=(PVSTool.manage_addPVSTool,)
        )

