## Script (Python) "delete_versions"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Deletes Versions
##
REQUEST=context.REQUEST
URL=context.absolute_url()
if REQUEST.has_key('delete_versions'):
  delete_versions = REQUEST.get('delete_versions')
  if delete_versions == 'Yes':
    if REQUEST.has_key('version_ids'):
      version_ids = REQUEST.get('version_ids')
      version_numbers = []
      for version in version_ids:
        version_numbers.append(context.versions_get_version_number(version))
      if context.getId() in version_ids:
        URL = REQUEST.URL2 + '/' + context.portal_content_versioning_system.getTopVersionId(context)
      context.portal_content_versioning_system.delVersions(context, version_ids)
      if len(version_ids) == 1:
        message = 'Version:+' + ''.join(version_numbers) + '<br>Has+Been+Deleted.'
      else:
        message = 'Versions:+' + ',+'.join(version_numbers) + '<br>Have+Been+Deleted.'
      REQUEST.RESPONSE.redirect(URL + '/manage_versions?msg=' + message)
    else:
      REQUEST.RESPONSE.redirect(URL + '/manage_versions?msg=You+Must+Select+a+Version+to+Delete.')
  else:
    REQUEST.RESPONSE.redirect(URL + '/manage_versions')
else:
  REQUEST.RESPONSE.redirect(URL + '/manage_versions')
